package com.lightinit.hsdataplatformresdir.entity;

import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

public class PublishSetting {
    private Long id;

    private Long publishInfoId;

    private String chargeMethod;

    private String packageName;

    private BigDecimal packagePrice;

    private Long packageMonths;

    private BigDecimal selfCost;

    private Long buyTimesLimit;

    private Long useTimesLimit;
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date effectiveDate;
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date expiriedDate;
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date createdAt;

    private Long createdBy;
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date deletedAt;

    private Long deletedBy;

    private String description;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getPublishInfoId() {
        return publishInfoId;
    }

    public void setPublishInfoId(Long publishInfoId) {
        this.publishInfoId = publishInfoId;
    }

    public String getChargeMethod() {
        return chargeMethod;
    }

    public void setChargeMethod(String chargeMethod) {
        this.chargeMethod = chargeMethod == null ? null : chargeMethod.trim();
    }

    public String getPackageName() {
        return packageName;
    }

    public void setPackageName(String packageName) {
        this.packageName = packageName == null ? null : packageName.trim();
    }

    public BigDecimal getPackagePrice() {
        return packagePrice;
    }

    public void setPackagePrice(BigDecimal packagePrice) {
        this.packagePrice = packagePrice;
    }

    public Long getPackageMonths() {
        return packageMonths;
    }

    public void setPackageMonths(Long packageMonths) {
        this.packageMonths = packageMonths;
    }

    public BigDecimal getSelfCost() {
        return selfCost;
    }

    public void setSelfCost(BigDecimal selfCost) {
        this.selfCost = selfCost;
    }

    public Long getBuyTimesLimit() {
        return buyTimesLimit;
    }

    public void setBuyTimesLimit(Long buyTimesLimit) {
        this.buyTimesLimit = buyTimesLimit;
    }

    public Long getUseTimesLimit() {
        return useTimesLimit;
    }

    public void setUseTimesLimit(Long useTimesLimit) {
        this.useTimesLimit = useTimesLimit;
    }

    public Date getEffectiveDate() {
        return effectiveDate;
    }

    public void setEffectiveDate(Date effectiveDate) {
        this.effectiveDate = effectiveDate;
    }

    public Date getExpiriedDate() {
        return expiriedDate;
    }

    public void setExpiriedDate(Date expiriedDate) {
        this.expiriedDate = expiriedDate;
    }

    public Date getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    public Long getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(Long createdBy) {
        this.createdBy = createdBy;
    }

    public Date getDeletedAt() {
        return deletedAt;
    }

    public void setDeletedAt(Date deletedAt) {
        this.deletedAt = deletedAt;
    }

    public Long getDeletedBy() {
        return deletedBy;
    }

    public void setDeletedBy(Long deletedBy) {
        this.deletedBy = deletedBy;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description == null ? null : description.trim();
    }
}